Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Interface OWLlinkElementHandler<O>

All Known Subinterfaces:
  OWLlinkErrorElementHandler<O>, OWLlinkResponseElementHandler<O>

All Known Implementing Classes:
  AbstractConfirmationElementHandler, AbstractOWLlinkElementHandler, AbstractOWLlinkErrorHandler, AbstractOWLlinkHierarchyElementHandler, AbstractOWLlinkKBResponseElementHandler, AbstractOWLlinkPairElementHandler, AbstractOWLlinkResponseElementHandler, AbstractOWLlinkSetOfSynsetsElementHandler, AbstractOWLlinkSynsetElementHandler, AbstractOWLlinkSynsetsElementHandler, AbstractSetOfOWLObjectResponseElementHandler, AbstractSubSynsetsElementHandler, OWLlinkBooleanResponseElementHandler, OWLlinkClassesElementHandler, OWLlinkClassHierarchyElementHandler, OWLlinkClassSubClassesPairElementHandler, OWLlinkClassSynsetElementHandler, OWLlinkClassSynsetsElementHandler, OWLlinkConfigurationElementHandler, OWLlinkDataPropertyHierarchyElementHandler, OWLlinkDataPropertySubDataPropertiesPairElementHandler, OWLlinkDataPropertySynonymsElementHandler, OWLlinkDataPropertySynsetElementHandler, OWLlinkDataPropertySynsetsElementHandler, OWLlinkDataRangeElementHandler, OWLlinkDatatypeElementHandler, OWLlinkDescriptionElementHandler, OWLlinkErrorResponseElementHandler, OWLlinkIndividualSynonymsElementHandler, OWLlinkIndividualSynsetElementHandler, OWLlinkKBElementHandler, OWLlinkKBErrorElementHandler, OWLlinkListElementHandler, OWLlinkLiteralElementHandler, OWLlinkObjectPropertyHierarchyElementHandler, OWLlinkObjectPropertySubPropertiesPairElementHandler, OWLlinkObjectPropertySynsetElementHandler, OWLlinkObjectPropertySynsetsElementHandler, OWLlinkOKElementHandler, OWLlinkOneOfElementHandler, OWLlinkPrefixElementHandler, OWLlinkPrefixesElementHandler, OWLlinkPropertyElementHandler, OWLlinkProtocolVersionElementHandler, OWLlinkPublicKBElementHandler, OWLlinkReasonerVersionElementHandler, OWLlinkResponseMessageElementHandler, OWLlinkSemanticErrorElementHandler, OWLlinkSetOfAnnotationPropertiesElementHandler, OWLlinkSetOfClassesElementHandler, OWLlinkSetOfClassSynsetsElementHandler, OWLlinkSetOfDataPropertiesElementHandler, OWLlinkSetOfDataPropertySynsetsElementHandler, OWLlinkSetOfDatatypesElementHandler, OWLlinkSetOfIndividualsElementHandler, OWLlinkSetOfIndividualSynsetsElementHandler, OWLlinkSetOfLiteralsElementHandler, OWLlinkSetOfObjectPropertiesElementHandler, OWLlinkSetOfObjectPropertySynsetsElementHandler, OWLlinkSettingElementHandler, OWLlinkSettingsElementHandler, OWLlinkStringResponseElementHandler, OWLlinkSubClassSynsetsElementHandler, OWLlinkSubDataPropertySynsetsElementHandler, OWLlinkSubObjectPropertySynsetsElementHandler, OWLlinkSupportedExtensionElemenetHandler, OWLlinkSyntacticalErrorElementHandler, OWLlinkSyntaxErrorElementHandler, OWLlinkUnknownResponseElementHandler

    public interface OWLlinkElementHandler<O>

Created by IntelliJ IDEA. User: noppens Date: 20.10.2009 Time: 16:32:47 To change this template use File | Settings | File Templates.

Method Summary
`O` | `getOWLLinkObject()`
`void` | `handleChild(OWLlinkClassSubClassesPairElementHandler handler)`
`void` | `handleChild(OWLlinkClassSynsetElementHandler handler)`
`void` | `handleChild(OWLlinkConfigurationElementHandler handler)`
`void` | `handleChild(OWLlinkDataPropertySubDataPropertiesPairElementHandler handler)`
`void` | `handleChild(OWLlinkDataPropertySynsetElementHandler handler)`
`void` | `handleChild(OWLlinkDataRangeElementHandler handler)`
`void` | `handleChild(OWLlinkElementHandler handler)`
`void` | `handleChild(OWLlinkErrorElementHandler handler)`
`void` | `handleChild(OWLlinkIndividualSynsetElementHandler handler)`
`void` | `handleChild(OWLlinkLiteralElementHandler handler)`
`void` | `handleChild(OWLlinkObjectPropertySubPropertiesPairElementHandler handler)`
`void` | `handleChild(OWLlinkObjectPropertySynsetElementHandler handler)`
`void` | `handleChild(OWLlinkPrefixElementHandler handler)`
`void` | `handleChild(OWLlinkPropertyElementHandler handler)`
`void` | `handleChild(OWLlinkProtocolVersionElementHandler handler)`
`void` | `handleChild(OWLlinkPublicKBElementHandler handler)`
`void` | `handleChild(OWLlinkReasonerVersionElementHandler handler)`
`void` | `handleChild(OWLlinkResponseElementHandler handler)`
`void` | `handleChild(OWLlinkResponseMessageElementHandler handler)`
`void` | `handleChild(OWLlinkSettingElementHandler handler)`
`void` | `handleChild(OWLlinkSubClassSynsetsElementHandler handler)`
`void` | `handleChild(OWLlinkSubDataPropertySynsetsElementHandler handler)`
`void` | `handleChild(OWLlinkSubObjectPropertySynsetsElementHandler handler)`
`void` | `handleChild(OWLlinkSupportedExtensionElemenetHandler handler)`

Method Detail

### handleChild

    void handleChild(OWLlinkElementHandler handler)

### handleChild

    void handleChild(OWLlinkResponseElementHandler handler)

### handleChild

    void handleChild(OWLlinkErrorElementHandler handler)

### handleChild

    void handleChild(OWLlinkConfigurationElementHandler handler)

### handleChild

    void handleChild(OWLlinkPropertyElementHandler handler)

### handleChild

    void handleChild(OWLlinkSettingElementHandler handler)

### handleChild

    void handleChild(OWLlinkDataRangeElementHandler handler)

### handleChild

    void handleChild(OWLlinkLiteralElementHandler handler)

### handleChild

    void handleChild(OWLlinkPrefixElementHandler handler)

### handleChild

    void handleChild(OWLlinkProtocolVersionElementHandler handler)

### handleChild

    void handleChild(OWLlinkReasonerVersionElementHandler handler)

### handleChild

    void handleChild(OWLlinkPublicKBElementHandler handler)

### handleChild

    void handleChild(OWLlinkSupportedExtensionElemenetHandler handler)

### handleChild

    void handleChild(OWLlinkClassSynsetElementHandler handler)

### handleChild

    void handleChild(OWLlinkObjectPropertySynsetElementHandler handler)

### handleChild

    void handleChild(OWLlinkDataPropertySynsetElementHandler handler)

### handleChild

    void handleChild(OWLlinkIndividualSynsetElementHandler handler)

### handleChild

    void handleChild(OWLlinkClassSubClassesPairElementHandler handler)

### handleChild

    void handleChild(OWLlinkObjectPropertySubPropertiesPairElementHandler handler)

### handleChild

    void handleChild(OWLlinkDataPropertySubDataPropertiesPairElementHandler handler)

### handleChild

    void handleChild(OWLlinkSubClassSynsetsElementHandler handler)

### handleChild

    void handleChild(OWLlinkSubObjectPropertySynsetsElementHandler handler)

### handleChild

    void handleChild(OWLlinkSubDataPropertySynsetsElementHandler handler)

### handleChild

    void handleChild(OWLlinkResponseMessageElementHandler handler)

### getOWLLinkObject

    O getOWLLinkObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD